> For the complete documentation index, see [llms.txt](https://docs.servoy.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.servoy.com/reference/servoycore/dev-api/developerbridge.md).

# JSDeveloperbridge

## Properties Summarized

| Type                                                                  | Name                  | Summary |
| --------------------------------------------------------------------- | --------------------- | ------- |
| [Location](/reference/servoycore/dev-api/developerbridge/location.md) | [LOCATION](#location) |         |

## Methods Summarized

| Type                                                                                | Name                                                                                  | Summary                                                                                                                                                                 |
| ----------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [JSDeveloperMenu](/reference/servoycore/dev-api/developerbridge/jsdevelopermenu.md) | [createComponentMenu(text, componentNames)](#createcomponentmenu-text-componentnames) | Creates an instanceof a JSDeveloperMenu that can be used in the register function to add a menu item to the context menu or in the form editor for specific components. |
| [JSDeveloperMenu](/reference/servoycore/dev-api/developerbridge/jsdevelopermenu.md) | [createMenu(text, location)](#createmenu-text-location)                               | Creates an instanceof a JSDeveloperMenu that can be used in the register function to add a menu item to the context menu or in the form editor.                         |
| void                                                                                | [registerMenuItem(menu, callback)](#registermenuitem-menu-callback)                   | Registers a menu item to show in the developer The callback is called when this menu item is clicked on.                                                                |
| void                                                                                | [showForm(formName)](#showform-formname)                                              | Shows the form in in the the ui of the developer (so in a dialog) where a developer can interact with.                                                                  |

## Properties Detailed

### LOCATION

**Type**\
[Location](/reference/servoycore/dev-api/developerbridge/location.md)

## Methods Detailed

### createComponentMenu(text, componentNames)

Creates an instanceof a JSDeveloperMenu that can be used in the register function to add a menu item to the context menu or in the form editor for specific components.\
The componentNames is an array of component names

**Parameters**

* [String](/reference/servoycore/dev-api/js-lib/string.md) **text** The label that is shown for this menu item.
* [Array](/reference/servoycore/dev-api/js-lib/array.md) **componentNames** The component names where this menu item should be shown for.

**Returns:** [JSDeveloperMenu](/reference/servoycore/dev-api/developerbridge/jsdevelopermenu.md) the created menu item

### createMenu(text, location)

Creates an instanceof a JSDeveloperMenu that can be used in the register function to add a menu item to the context menu or in the form editor.\
The location is one of the servoyDeveloper.LOCATIOM properties

**Parameters**

* [String](/reference/servoycore/dev-api/js-lib/string.md) **text** The label that is shown for this menu item.
* [Number](/reference/servoycore/dev-api/js-lib/number.md) **location** The location where this menu item should be shown (one of the servoyDeveloper.LOCATIOM properties).

**Returns:** [JSDeveloperMenu](/reference/servoycore/dev-api/developerbridge/jsdevelopermenu.md) the created menu item

### registerMenuItem(menu, callback)

Registers a menu item to show in the developer

The callback is called when this menu item is clicked on.

**Parameters**

* [JSDeveloperMenu](/reference/servoycore/dev-api/developerbridge/jsdevelopermenu.md) **menu** The menu that needs to be registered
* [Function](/reference/servoycore/dev-api/js-lib/function.md) **callback** The callback will be called when the menu item is clicked

**Returns:** void

### showForm(formName)

Shows the form in in the the ui of the developer (so in a dialog) where a developer can interact with.

**Parameters**

* [String](/reference/servoycore/dev-api/js-lib/string.md) **formName** The name of the form to show

**Returns:** void

***


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.servoy.com/reference/servoycore/dev-api/developerbridge.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
